<?xml version="1.0" encoding="UTF-8"?>

<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.cfs++.org/simulation http://cfs-doc.mdmt.tuwien.ac.at/xml/CFS-Simulation/CFS.xsd"
    xmlns="http://www.cfs++.org/simulation">
    
    <documentation>
        <title>Fluid Mechanic</title>
        <authors>
            <author>hhassanpour</author>
        </authors>
        <date>2020-03-16</date>
        <keywords>
            <keyword>flow</keyword>
        </keywords>
        <references></references>
        <isVerified>no</isVerified>
        <description>
            This test case studies the Acoustic-thermoviscous coupling in a simple channel
            The thermoviscous pressure is considered as an excitation
            We expect equal wave speed in acoustic and thermoviscous region
            PML region is considered at the of the acoustic region to avoid any reflection
            At the acoustic-thermoviscous interface, there will be some reflection.
            This reflection coefficient is determined in an ipython notebook        
        </description>
    </documentation>
    <fileFormats>
        <input>
            <!-- specify you mesh input file here -->
<!--            <cdb fileName="recsurf_PML.cdb"/>-->
            <hdf5 fileName="PlaneWave2D.h5ref"/>
        </input>
        <output>
            <hdf5/>
            <text id="txt"/>
        </output>
        <materialData file="mat.xml" format="xml"/>
    </fileFormats>
    
    <domain geometryType="plane">
        <variableList>
            <var name="P" value="1"/>
        </variableList>
        <regionList>
            <!-- specify material assignment here -->
            <region name="S_flow" material="FluidMat"/>
            <region name="S_PML" material="FluidMat"/>
            <region name="S_acou" material="FluidMat"></region>
        </regionList> 

        <ncInterfaceList>
          <ncInterface name="ABC"
            masterSide="Interface1"
            slaveSide="Interface2"/>
        </ncInterfaceList>
    </domain>
    
     <fePolynomialList>
        <Legendre id="velPolyId">
            <isoOrder>2</isoOrder> 
        </Legendre>
        
        <Legendre id="presPolyId">
            <isoOrder>1</isoOrder> 
        </Legendre>        
    </fePolynomialList>
    
    <sequenceStep index="1"> 
        <analysis> 
            <harmonic>
                <frequencyList>
                    <freq value="10e+3"/>
                </frequencyList>
            </harmonic>
        </analysis>
        
        <pdeList>
            <fluidMechLin  formulation="compressible" presPolyId="presPolyId" velPolyId="velPolyId">
                <regionList>
                    <region name="S_flow"/>
                </regionList>
                 <bcsAndLoads>
                    <pressure value="P" name="L_left"/>
                    <noSlip name="L_top_f">
                        <comp dof="y"/>
                    </noSlip>
                    <noSlip name="L_bottom_f">
                        <comp dof="y"/>
                    </noSlip>
                </bcsAndLoads>
                <storeResults>
                    <nodeResult type="fluidMechPressure">
                        <regionList>
                            <region name="S_flow"/>
                        </regionList>
                    </nodeResult>
                    <nodeResult type="fluidMechVelocity">
                        <allRegions/>
                    </nodeResult>
                </storeResults>
            </fluidMechLin> 
            
            <acoustic formulation="acouPressure">
                <regionList>
                    <region name="S_acou"/> 
                    <region name="S_PML" dampingId="myPML" polyId="presPolyId"  />                   
                </regionList>
                <dampingList>
                    <pml id="myPML">
                        <type>inverseDist</type> 
                        <dampFactor>1</dampFactor>     
                    </pml>
                </dampingList>
                <storeResults>
                    <nodeResult type="acouPressure">
                        <regionList>
                            <region name="S_acou"/>
                            <region name="S_PML"/>
                        </regionList>
                    </nodeResult>
                    <elemResult type="acouVelocity"> 
                        <regionList>
                            <region name="S_acou"/>
                            <region name="S_PML"/>
                        </regionList>                        
                    </elemResult>
                </storeResults>
                
            </acoustic>  
                   
        </pdeList>
        <couplingList>
            <direct>
                <linFlowAcouDirect>
                    <ncInterfaceList>
                        <ncInterface name="ABC"/>
                    </ncInterfaceList>
                </linFlowAcouDirect>
            </direct>
        </couplingList>
    </sequenceStep>
    
    
</cfsSimulation>
